E-MailRelay

Classes | Namespaces
gresolver.h File Reference
`#include "gdef.h"`
`#include "glocation.h"`
`#include "geventhandler.h"`
`#include "geventstate.h"`
`#include "gexception.h"`
`#include "gaddress.h"`
`#include <vector>`
`#include <utility>`
`#include <memory>`
Include dependency graph for gresolver.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GNet::Resolver
| A class for synchronous or asynchronous network name to address resolution. More...
struct | GNet::Resolver::Config
| A configuration structure for GNet::Resolver. More...
struct | GNet::Resolver::Callback
| An interface used for GNet::Resolver callbacks. More...

## Namespaces
namespace | GNet
| Network classes.